CVE-2002-0924
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-10 15:13:11
NMCOS    

[原文]CGIScript.net csNews.cgi allows remote authenticated users to execute arbitrary Perl code via terminating quotes and metacharacters in text fields of the "Advanced Settings" capability.


[CNNVD]CSNews Professional远程执行任意命令漏洞(CNNVD-200210-137)

        
        csNews Professional是一款基于WEB的新闻项目管理程序,运行在多种Unix和Linux系统下,也可运行在Microsoft Windows操作系统下。
        csNews Professional对用户在URL的输入没有正确充分的过滤,可导致攻击者以Web进程的权限在目标系统上执行任意命令。
        csNews Professional由于访问验证错误,任意用户可以在URL上提供PERL代码作为配置数据来写入到"setup.cgi"文件中,并在服务器上以Web进程的权限执行这些PERL代码。
        注意用户提供的任何PERL代码必须转换为URL编码形式。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cgiscript.net:csnews:1.0
cpe:/a:cgiscript.net:csnews:1.0_professional

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0924
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0924
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-137
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/bugtraq/2002-06/0091.html
(UNKNOWN)  BUGTRAQ  20020611 CGIscript.net - csNews.cgi - Multiple Vulnerabilities
http://www.securityfocus.com/bid/4451
(UNKNOWN)  BID  4451

- 漏洞信息

CSNews Professional远程执行任意命令漏洞
高危 输入验证
2002-10-04 00:00:00 2005-10-20 00:00:00
远程  
        
        csNews Professional是一款基于WEB的新闻项目管理程序,运行在多种Unix和Linux系统下,也可运行在Microsoft Windows操作系统下。
        csNews Professional对用户在URL的输入没有正确充分的过滤,可导致攻击者以Web进程的权限在目标系统上执行任意命令。
        csNews Professional由于访问验证错误,任意用户可以在URL上提供PERL代码作为配置数据来写入到"setup.cgi"文件中,并在服务器上以Web进程的权限执行这些PERL代码。
        注意用户提供的任何PERL代码必须转换为URL编码形式。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 除了修改程序严格过滤用户输入数据外,没有合适的临时解决方法。
        厂商补丁:
        CGISCRIPT.NET
        -------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.cgiscript.net/site_apps.htm

- 漏洞信息

8132
CGIScript.net csNews.cgi Advanced Settings Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

csNews contains a flaw that will allow an attacker to execute arbitrary code. The problem is that the contents of text fields in the advanced settings are not verified properly and will allow an attacker to inject arbitrary perl code.

- 时间线

2002-06-11 Unknow
2002-06-11 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

CSNews Remote Command Execution Vulnerability
Input Validation Error 4451
Yes No
2002-04-08 12:00:00 2009-07-11 11:56:00
This issue was publicized by Steve Gustin <stegus1@yahoo.com>.

- 受影响的程序版本

CGISCRIPT.NET csNews Professional 1.0
- Apache Software Foundation Apache 1.3.24
- Apache Software Foundation Apache 1.3.23
- Apache Software Foundation Apache 1.3.22
- Apache Software Foundation Apache 1.3.20
- Apache Software Foundation Apache 1.3.19
- Apache Software Foundation Apache 1.3.18
- Apache Software Foundation Apache 1.3.17
CGISCRIPT.NET csNews 1.0

- 漏洞讨论

csNews is a script for managing news items on a website. It will run on most Unix and Linux variants, as well as Microsoft Windows operating systems.

csNews is prone to an issue which may enable an attacker to execute Perl code with the privileges of the webserver process.

For exploitation to be successful, the attacker must pass properly URL encoded Perl code in CGI parameters via a web request. For example:

http://host/cgi-bin/csNews.cgi?command=savesetup&amp;setup=PERL_CODE_HERE

Reportedly, this vulnerability may also be exploited by placing arbitrary Perl code within any text field on the 'Advanced Settings' form. The code must be formatted as follows:

\"; PERL_CODE_HERE \"

- 漏洞利用

This vulnerability may be exploited with a web browser.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站